=== debian/changelog ===
ros-melodic-diagnostic-aggregator (1.9.7-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.9.6-1bionic) bionic; urgency=high

  * Extend initial connect timeout for add_analyzers (#129 <https://github.com/ros/diagnostics/issues/129>)
  * Contributors: Mike Purvis

 -- Austin Hendrix <namniart@gmail.com>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.9.5-1bionic) bionic; urgency=high

  * Update CMakeLists.txt to search for local gtest first
  * Fix copyright and remove unused imports
  * Improvement by using opertors instead of aliases (Closes #95 <https://github.com/ros/diagnostics/issues/95>
  * Contributors: Austin, Guglielmo Gemignani, James Xu, Martin Pecka, Sean Yen

 -- Austin Hendrix <namniart@gmail.com>  Sun, 09 Aug 2020 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.9.3-1bionic) bionic; urgency=high

  * Merge pull request #79 <https://github.com/ros/diagnostics/issues/79> from nlamprian/indigo-devel
    Fixed base_path handling
  * Merge pull request #82 <https://github.com/ros/diagnostics/issues/82> from moriarty/fix-pluginlib-deprecated-headers
    [Aggregator] Fixes C++ Warnings (pluginlib)
  * [Aggregator] Fixes C++ Warnings (pluginlib)
    This fixes the following warnings:
    warning: Including header <pluginlib/class_list_macros.h>
    is deprecated,include <pluginlib/class_list_macros.hpp> instead. [-Wcpp]
    warning: Including header <pluginlib/class_loader.h>
    is deprecated, include <pluginlib/class_loader.hpp> instead. [-Wcpp]
    The .hpp files have been backported to indigo
  * Fixed base_path handling
  * Upstream missing changes to add_analyzers
  * Contributors: Alexander Moriarty, Austin, Nick Lamprianidis, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.9.2-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.9.1-1bionic) bionic; urgency=high

  * Add queue size parameters on Publishers
  * add_analyzers improvements
    * Warning message when bond is broken
    * Per-bond topics to avoid queue length issues
  * Option to make diagnostics in Other an error
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.9.0-1bionic) bionic; urgency=high

  * Longer settling time
  * Fix race condition in unload
  * Fix cmake warnings
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Changed all deprecated PLUGINLIB_DECLARE_CLASS to PLUGINLIB_EXPORT_CLASS macros
  * Contributors: Aris Synodinos, Lukas Bulwahn, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.10-1bionic) bionic; urgency=high

  * Start bond after add_diagnostics service is available
  * Contributors: Mustafa Safri

 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.9-1bionic) bionic; urgency=high

  * Add version dependencies in package.xml
  * Add version check in cmake
  * Add functionality for dynamically adding analyzers
  * Contributors: Michal Staniaszek, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.8-1bionic) bionic; urgency=high

  * Fix #17 <https://github.com/ros/diagnostics/issues/17>
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.7-1bionic) bionic; urgency=high

  * Upgrade to gtest 1.7.0
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.6-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.5-1bionic) bionic; urgency=high

  * Include gtest source directly
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.4-1bionic) bionic; urgency=high

  * Install analyzer_loader. Fixes #24 <https://github.com/ros/diagnostics/issues/24>
  * Add dependency on message generation
  * Remove stray architechture_independent flags
    This flag should be used for package which do not contain
    architecture-specific files. Compiled binaries are such a file, and
    these packages contain them.
  * Contributors: Jon Binney, Scott K Logan, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-melodic-diagnostic-aggregator (1.8.3-1bionic) bionic; urgency=high

  * Fix stale aggregation bug
  * Clean up stale check
    Fixes #21 <https://github.com/ros/diagnostics/issues/21>
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.2-1bionic) bionic; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.1-1bionic) bionic; urgency=high

  * Add myself as maintainer
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Austin Hendrix, Lukas Bulwahn

 -- Austin Hendrix <namniart@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.8.0-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Apr 2013 22:00:00 -0000

ros-melodic-diagnostic-aggregator (1.7.11-1bionic) bionic; urgency=high

  * Install analyzer_loader
  * diagnostic_aggregator) Removed redundancy in package.xml.

