=== debian/control ===
Source: ros-melodic-diagnostic-aggregator
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-bondcpp, ros-melodic-bondpy, ros-melodic-catkin (>= 0.5.68), ros-melodic-diagnostic-msgs (>= 1.11.9), ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-xmlrpcpp
Homepage: http://www.ros.org/wiki/diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-melodic-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-bondcpp, ros-melodic-bondpy, ros-melodic-diagnostic-msgs (>= 1.11.9), ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-xmlrpcpp
Description: diagnostic_aggregator
